mxPngImageEncoder (JGraph X 2.1.0.7 API Specification)
Date: 2013-07-31

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JGraph X 2.1.0.7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.mxgraph.util.png
Class mxPngImageEncoder

    java.lang.Object
      com.mxgraph.util.png.mxPngImageEncoder

    public class mxPngImageEncoder

extends Object

An ImageEncoder for the PNG file format.

Since:
  EA4

Field Summary
`protected OutputStream` | `output` The OutputStream associcted with this ImageEncoder.

Constructor Summary
`mxPngImageEncoder(OutputStream output, mxPngEncodeParam param)`

Method Summary
`void` | `encode(RenderedImage im)` This method encodes a `RenderedImage` into PNG.
`OutputStream` | `getOutputStream()` Returns the OutputStream associated with this ImageEncoder.
`mxPngEncodeParam` | `getParam()`
`void` | `setParam(mxPngEncodeParam param)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### output

    protected OutputStream output

  The OutputStream associcted with this ImageEncoder.

Constructor Detail

### mxPngImageEncoder

    public mxPngImageEncoder(OutputStream output,
                             mxPngEncodeParam param)

Method Detail

### getParam

    public mxPngEncodeParam getParam()

### setParam

    public void setParam(mxPngEncodeParam param)

### getOutputStream

    public OutputStream getOutputStream()

  Returns the OutputStream associated with this ImageEncoder.

### encode

    public void encode(RenderedImage im)
                throws IOException

  This method encodes a `RenderedImage` into PNG. The stream into which the PNG is dumped is not closed at the end of the operation, this should be done if needed by the caller of this method.

  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JGraph X 2.1.0.7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2010 Gaudenz Alder. All rights reserved.